> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Ban by ID

> Retrieve a specific ban



## OpenAPI

````yaml get /players/bans/{workspaceId}/{banId}
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /players/bans/{workspaceId}/{banId}:
    get:
      tags:
        - Players
      description: Retrieve a specific ban
      parameters:
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
        - schema:
            type: number
          in: path
          name: banId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  actor:
                    type: object
                    properties:
                      exists:
                        type: boolean
                      id:
                        type: string
                      username:
                        type: string
                      display_name:
                        type: string
                    required:
                      - exists
                      - id
                      - username
                      - display_name
                  hidden:
                    type: boolean
                  victim:
                    type: object
                    properties:
                      exists:
                        type: boolean
                      id:
                        type: string
                      username:
                        type: string
                      display_name:
                        type: string
                    required:
                      - exists
                      - id
                      - username
                      - display_name
                  removed_by:
                    type: object
                    nullable: true
                    properties:
                      exists:
                        type: boolean
                      id:
                        type: string
                      username:
                        type: string
                      display_name:
                        type: string
                  has_comments:
                    type: boolean
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                  _id:
                    type: string
                  reason:
                    type: string
                  source:
                    type: string
                  removed_at:
                    type: string
                  ban_incremental_id:
                    type: number
                required:
                  - actor
                  - victim
                  - has_comments
                  - createdAt
                  - updatedAt
                  - _id
                  - reason
                  - source
                  - ban_incremental_id
                  - hidden
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````